Package Details: compiz-gtk-git 0.8.14.r36.g493a3807-1

Git Clone URL: https://aur.archlinux.org/compiz-core-git.git (read-only)
Package Base: compiz-core-git
Description: This is the latest git release of Compiz without DE deps (GTK+ window decorator)
Upstream URL: https://gitlab.com/compiz/compiz-core
Licenses: GPL, LGPL, MIT
Conflicts: compiz-gtk
Provides: compiz-gtk=0.8.14.r36.g493a3807
Submitter: ShadowKyogre
Maintainer: ShadowKyogre
Last Packager: ShadowKyogre
Votes: 11
Popularity: 0.030133
First Submitted: 2015-12-15 03:43
Last Updated: 2018-06-05 05:10

Latest Comments

Anonymous comment on 2017-04-10 11:52

package_compiz-gtk-git()
{
depends+=('compiz-core-git')
#separating libmarco-private would be nice, but this is a workaround for now
if (("${_use_marco}" == 1));then
depends+=('marco-gtk2')
elif (("${_use_marco}" == 2));then
depends+=('marco')
fi

you should change marco-gtk 2 with marco and vice versa. Since now as you said _use_marco=1 is for gtk3 not gtk2 version .
Thanks in advance .

ShadowKyogre commented on 2017-04-04 20:28

@Pival81: Sorry for the delayed reply! Was adjusting the PKGBUILD and double-checking it before pushing the adjusted patches.

_use_marco=1 from now on represents whatever's the default for Marco support in the Arch repos (in this case, GTK3 Marco). GTK2 Marco support is relegated to _use_marco=2 since it's not default and in the AUR.

Pival81 commented on 2017-03-21 13:43

i think that with the new release of mate only suporting gtk3, this package should be adjusted accordingly

ShadowKyogre commented on 2016-11-30 00:30

@cominatyalive: I definitely appreciate the concern. The "update" on 2016-11-21 was **not** by me. This was from other people who flagged the package out of date before it was realized that all they had to do was rebuild libcompizconfig{,-git}. That being said, I do appreciate your concern. The AUR is still a bit clunky in the sense that I can't mark these rebuilds manually except for "bumping" the package version.

See https://github.com/compiz-reloaded/compiz/issues/53 for more details.

The build error reproduced was a result of the compiz-gtk{,-git} linking against libcompizconfig{,-git}.

To address this, the autolinking compizconfig support for the gtk window decorator was disabled by default: https://github.com/compiz-reloaded/compiz/commit/fa030fe

This shouldn't affect the end user experience for the people using the gtk window decorator.

-------

@everyone: Aside from that, life has slowed down for me again. However, I'd like to ask for some help with co-maintaining the AUR packages for Compiz Reloaded. It's definitely important that this goes on while not being dependent on one person for maintaining the PKGBUILDs.

cominatyalive commented on 2016-11-29 07:28

I do not use Marco. Marco has nothing to do with it. No one needs Marco unless you want slight graphics on Fallback. I de-Selected mine altogether. I use Compiz and Compiz Only as intended with Emerald. That is what Compiz-Reloaded is all about. My Compiz was running the best it has ever ran in years thanks to Reloaded. Every old effect plus all the new ones with no problems. Then all of a fucking sudden compiz does not work because of someone marking Compiz-Core-Git (Out Of Date) in the AUR just the other day. Are you joking? Why in the hell is someone marking something out of date when there was nothing wrong with it? I've waited years for Reloaded. I see the Arch update was 11-21-16. The mistake was there. I depend on the AUR for Reloaded. If you mess it up, thousands of us can not run Compiz! I also depend and trust in Arch & the AUR to not screw us up with a corrupt update or mistake in some kind of change gone south. Fuzzy Mind? let me tell you what a Fuzzy Mind means. It means, ARCH is the ONLY DISTRO CURRENTLY that can run Compiz-Reloaded. Ubuntu-Mate was running it splendid with 15.10 but the Reloaded Script will no longer work with 16.04 nor 16.10 Ubuntu-Mate because of some ass hole not updating the script for the newer distros. Arch was not able to run compiz anymore until the Re-loaded team fixed everything. Which took over a YEAR! So right now as far as I know, ARCH AUR is our last stand. If you make mistakes in the Arch updates or take something off the shelf in the AUR, it screws up all of us COMPIZ USERS! Out of the grace of GOD! you gave a work around here on your page, OMG! THANK YOU! but what about all the others who are not smart enough to do some digging? PLEASE! I PRAY TO YOU! PLEASE DO NOT MAKE CHANGES IF YOUR MIND IS FUZZY AND YOU DON'T KNOW WHAT YOU ARE DOING. DO NOT TAKE COMPIZ FILES IN THE AUR AND MARK THEM OUT-DATED AND RENDER OUR COMPIZ USELESS! Without putting a new updated file in it's place for us. I am not hapy at all. Compiz has been flawless for several months now, and I was just waiting for someone to fuck it all up. EXCUSE MY FRENCH, BUT PLEASE! I'M BEGGING YOU! PLEASE!!!!!!!! BE CAREFUL! MARCO is for regular NON-COMPIZ USERS. BETTER OFF NOT RUNNING IT AT ALL. I AM DEPENDING on all of you to keep this alive and not endanger our dear compiz!!!!!I get home and nothing works. NICE. If you only knew a fraction of my anger, you would have been more careful. This letter comes no where close to what I really want to say. Put yourself in my shoes. I'm tired of pulling out my hair every few months with a fucked up compiz because of some damn mistake. I have a highly customized Arch system here. And I'll be damned if I let this go unsaid. As far as my AUR account, go ahead and delete it if you feel the need, it don't mean a fucking thing. That is the freedom of ARCH! COMPIZ-RELOADED WENT THE EXTRA FUCKING THOUSAND MILES TO BRING US SOMETHING THAT NO OTHER OS CAN DO. PLEASE BE CAREFUL TO NOT RUIN ALL THE HARD WORK THEY HAVE DONE. FLAGGED OUT OF DATE???? You have to be out of your FUCKING MIND!!!!!!!!

Xiaoming94 commented on 2016-11-21 12:30

protobuf has been updated. If possible, plz update this package to use the new version.

ShadowKyogre commented on 2016-07-05 06:13

@nicman23: Hurp. -facepalms at self- Sorry about all of that. Holidays means fuzzy mind.

Anyway, I'm guessing you tried running the decorator without making sure compiz is launched?

ShadowKyogre commented on 2016-07-03 21:07

@nicman23: Build error fixed. It was due to a typo upstream. Try rebuilding w/the GTK2 build of Marco.

----

@everyone: Asides from that, there's an important note I'd like to make about the decorator. While it does prod these sections for picking up your theme:

https://github.com/compiz-reloaded/compiz/blob/3b3df20ffd4cc99c764cd9fec10705a038967ba2/gtk-window-decorator/gtk-window-decorator.c#L80-L86

It can also pick it up from the commandline. EG:

gtk-window-decorator --marco-theme Blue-Submarine --replace

And voila! Consistent marco theme no matter where you use the window decorator.

nicman23 commented on 2016-07-03 08:06

I needed --enable-gtk=3.0 to compile.

nicman23 commented on 2016-07-02 20:07

The decorator does not work for me. I did use the variable to enable marco. When i run the command it just exits, no error or other comment.

All comments